SystemOrganization addCategory: #'tODE-Core'!

Object subclass: #TOObject
	instanceVariableNames: 'object properties'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'tODE-Core'!

!TOObject methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:47'!
object
	^ object! !

!TOObject methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:47'!
object: anObject
	object := anObject! !

!TOObject methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:47'!
properties

	properties ifNil: [ properties := Dictionary new ].
	^ properties! !

!TOObject methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:47'!
properties: anObject
	properties := anObject! !

TOObject subclass: #TOObjectFrame
	instanceVariableNames: 'selectedCenterTab'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'tODE-Core'!

!TOObjectFrame methodsFor: 'rendering' stamp: 'dkh 5/22/2011 11:47'!
renderObjectOn: html renderSelector: renderSelector main: main

	self object
		perform: renderSelector
		withArguments:
			{html.
			self.
			main}! !

!TOObjectFrame methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:39'!
selectedCenterTab

	selectedCenterTab ifNil: [ selectedCenterTab := 0 ].
	^selectedCenterTab ! !

!TOObjectFrame methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:40'!
selectedCenterTab: anIndex

	^selectedCenterTab := anIndex! !

Object subclass: #TORoot
	instanceVariableNames: 'currentFrame'
	classVariableNames: 'Current'
	poolDictionaries: ''
	category: 'tODE-Core'!

!TORoot class methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:35'!
current

	Current ifNil: [ Current := self new ].
	^Current ! !

!TORoot class methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:35'!
reset
	"self reset"

	Current := nil! !

!TORoot class methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:35'!
singleton

	Singleton ifNil: [ Singleton := self new ].
	^Singleton ! !

!TORoot methodsFor: 'accessing' stamp: 'dkh 5/22/2011 12:21'!
currentFrame
	currentFrame
		ifNil: [ 
			currentFrame := (TOObjectFrame new)
				object:
						((Dictionary new)
							at: 1 put: 'string';
							at: #symbol put: 2;
							yourself);
				yourself ].
	^ currentFrame! !

!TORoot methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:43'!
history
	^#()! !

Object subclass: #TOTabSpec
	instanceVariableNames: 'id label group order priority renderSelector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'tODE-Core'!

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:11'!
group
	^ group! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:11'!
group: anObject
	group := anObject! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:58'!
id
	^ id! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:58'!
id: anObject
	id := anObject! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:58'!
label
	^ label! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:58'!
label: anObject
	label := anObject! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:16'!
order
	^ order! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:16'!
order: anObject
	order := anObject! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:00'!
renderSelector
	^ renderSelector! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 09:00'!
renderSelector: anObject
	renderSelector := anObject! !

!TOTabSpec methodsFor: 'rendering' stamp: 'dkh 5/22/2011 11:47'!
renderTabSpecContentOn: html main: main
	main currentFrame renderObjectOn: html renderSelector:self renderSelector main: main
! !

!TOTabSpec methodsFor: 'accessing' stamp: 'dkh 5/22/2011 08:59'!
tabLabel
	
	label ifNil: [ ^self id asString ].
	^label! !

!Collection methodsFor: '*tode-core' stamp: 'dkh 5/22/2011 12:19'!
tODEInspectorFields
	<tODEInspectorFields>
	| i |
	i := 0.
	^ self asArray collect: [ :each | i := i + 1. i -> each ]! !

!Dictionary methodsFor: '*tode-core' stamp: 'dkh 5/22/2011 10:34'!
tODEInspectorFields
	<tODEInspectorFields>
	^ self associations! !
